Supported browsers

Compatible browsers

EMDESK officially supports the latest two versions of the following desktop browsers (unless otherwise specified)

  • Chrome
  • Edge
  • Firefox
  • Internet Explorer (not older than version 11)
  • Safari

If you’re using an older version of a browser, you may see a notification to update your browser.

EMDESK is a modern web application that uses some of the newest capabilities of HTML5, CSS3, and JavaScript. Different browsers still interpret these in different ways. These differences could potentially cause severe bugs - like data not saving, or data becoming corrupted and overwriting good data.

We test and develop for the list of compatible browsers and may block access to EMDESK from browsers not listed as compatible above. This is in order to protect your data.

Note: Mobile browsers aren't supported, yet. We are working on it.

WebSockets

You are required to use WebSockets in order to use EMDESK and ensure that our latest version of the product works properly. Some EMDESK users may experience issues connecting over WebSockets when behind strict corporate firewalls or when using aged antivirus software.

If you’re having trouble establishing a connection to EMDESK, we recommend the following steps:

  • Contact your IT department and direct them to this article to diagnose the issue. They can check if your corporate firewall could be interfering with the connection. In this case, whitelisting *.emdesk.com should be sufficient
  • You may need to update your anti-virus or firewall to the latest version to ensure that it’s not blocking your connection
  • If you’re still seeing our top bar announcement or experience issues, contact our Support Team
Did this answer your question? Thanks for the feedback There was a problem submitting your feedback. Please try again later.

Still need help? Contact Us Contact Us